<?php
ini_set(max_execution_time,90);
$file = "index.html";
$stat = stat($file);
if((time() - $stat['mtime']) > 30) {
	include ("stats2array.php");
	$cached =  "cached @ " . date("F j, Y, g:i:s a", time());
}
else $cached =  "cached @ " . date("F j, Y, g:i:s a", $stat['mtime']);
sleep(1);
include($file);

//  statusmessage
echo "<center><font color=white>$cached</font></center>"; 
?>